<?
    /* Функция инициализации системы Init_All_Subsystem.
    *
    *	Автор: Талбонен В.Ю.
    * Дата: 09.04.2006
    * Последняя модификация: 19.04.2006
    */
    /* =========================================================================== */
	include ( "global.php" );
	/* Запуск функции инициализации всех подсистем. */
	Init_All_Subsystem();
    /* =========================================================================== */

    /* =========================================================================== */
    /* Функция инициализации системы.
    * Входные параметры: Нет.
    * Выходные параметры: Нет.
    */
	function Init_All_Subsystem(){
		/* Переменная, содержащая ошибки. */
		$error = "";
		
		/* Имя файла, в котором находится список файлов, необходимых для работы системы. */
		global $Init_File;
		/* Глобальная переменная, содержащая путь к каталогу временных файлов. */
		global $tmpdir;		
	
		/* Проверить, существуют ли все необходимые файлы для работы системы.*/
		if ( ! file_exists ( $Init_File ) )
		{
			$error = $error."Не найден необходый для работы файл ".$Init_File."<br>";
		}
		else{
			$List = @file ( $Init_File );
			foreach ( $List as $i ){
			$i = trim ( $i );
			if ( ! file_exists ( $i ) )
				/* Если нет, то сообщить об ошибке. */
				$error = $error."Не найден необходый для работы файл ".$i."<br>";
			}
		}

		session_start();
		//echo session_id();
		if ( session_id() == "" ){
			$error = $error."Не удалось создать сессию.<br>";
			$tmpfilename = $tmpdir."/".ereg_replace ( " ", "", microtime() );
		}else
			$tmpfilename = $tmpdir."/".session_id();
		

		/* Попытаться создать пустой файл в директории для хранения временных файлов. */
		$fd = @fopen ( $tmpfilename, "w" );
		/* Если не удалось, то сообщить об ошибке. */
		if ( $fd == false ){
			$error = $error."Не удалось создать временный файл.<br>";
		}else{
			fclose ( $fd );
			/* Удалить этот файл. */
			unlink ( $tmpfilename );
		}

		/* Если была хотя бы одна ошибка, выйти из программы. */
		if ( ! empty ( $error ) ){
			echo "<html><head>".
			"<title>Инициализация системы.</title>".
			"</head><body bgcolor=white><center>".
			"<font color=red size=5>".
			$error.
			"</font>".
			"<a href=index.php color=black>В начало.</a> ".
			"</center></body></html>";
			session_destroy();
		}else{
			$_SESSION["id"] = session_id();
			/* Открыть начальную форму программы. */
			echo ( "<meta http-equiv='refresh' content='0; url=test.php?func=2'>" );
		}
	}
/* =========================================================================== */
?>

